package com.ruoyi.bar.service;

import java.util.HashMap;
import java.util.List;
import com.ruoyi.bar.domain.WyBarIcon;

/**
 * 酒吧啤酒币余额Service接口
 * 
 * @author kxl
 * @date 2025-02-10
 */
public interface IWyBarIconService 
{
    /**
     * 查询酒吧啤酒币余额
     * 
     * @param id 酒吧啤酒币余额主键
     * @return 酒吧啤酒币余额
     */
    public WyBarIcon selectWyBarIconById(Long id);

    WyBarIcon selectWyBarIconByBreweryIdAndBarId(Long breweryId, Long barId);

    /**
     * 查询酒吧啤酒币余额列表
     * 
     * @param wyBarIcon 酒吧啤酒币余额
     * @return 酒吧啤酒币余额集合
     */
    public List<WyBarIcon> selectWyBarIconList(WyBarIcon wyBarIcon);

    HashMap<String, Integer> selectBarIconDataByBreweryId(Long breweryId);

    List<WyBarIcon> selectWyBarIconListWithData(WyBarIcon wyBarIcon);

    List<WyBarIcon> selectWyBarIconListWithGoodsNum(WyBarIcon wyBarIcon);

    /**
     * 新增酒吧啤酒币余额
     * 
     * @param wyBarIcon 酒吧啤酒币余额
     * @return 结果
     */
    public int insertWyBarIcon(WyBarIcon wyBarIcon);

    /**
     * 修改酒吧啤酒币余额
     * 
     * @param wyBarIcon 酒吧啤酒币余额
     * @return 结果
     */
    public int updateWyBarIcon(WyBarIcon wyBarIcon);

    /**
     * 批量删除酒吧啤酒币余额
     * 
     * @param ids 需要删除的酒吧啤酒币余额主键集合
     * @return 结果
     */
    public int deleteWyBarIconByIds(Long[] ids);

    /**
     * 删除酒吧啤酒币余额信息
     * 
     * @param id 酒吧啤酒币余额主键
     * @return 结果
     */
    public int deleteWyBarIconById(Long id);
}
